commit:     9375663fac2de3ff4d0fa511c03ef2c0be93dcf9
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Sat Apr 23 08:03:28 2022 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Sat Apr 23 09:42:40 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9375663f

dev-ruby/robots: update EAPI 6 -> 8, add ruby30, ruby31

Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>

 dev-ruby/robots/robots-0.10.1-r3.ebuild | 22 ++++++++++++++++++++++
 1 file changed, 22 insertions(+)

diff --git a/dev-ruby/robots/robots-0.10.1-r3.ebuild 
b/dev-ruby/robots/robots-0.10.1-r3.ebuild
new file mode 100644
index 000000000000..d6175ebefe8b
--- /dev/null
+++ b/dev-ruby/robots/robots-0.10.1-r3.ebuild
@@ -0,0 +1,22 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby26 ruby27 ruby30 ruby31"
+
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG README"
+
+inherit ruby-fakegem
+
+DESCRIPTION="A simple Ruby library to parse robots.txt"
+HOMEPAGE="https://rubygems.org/gems/robots";
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~x86"
+IUSE=""
+
+all_ruby_prepare() {
+       sed -i -e 's:rake/rdoctask:rdoc/task:' Rakefile || die
+}

Reply via email to